Subject: I-D ACTION:draft-ietf-pkix-sha2-dsa-ecdsa-01.txt

From: [email-masked]
Date: Sun, 08 Jul 2007 17:15:02 -0400

A New Internet-Draft is available from the on-line Internet-Drafts 
directories.
This draft is a work item of the Public-Key Infrastructure (X.509) Working Group of the IETF.

	Title		: Internet X.509 Public Key Infrastructure: Additional Algorithms and Identifiers for DSA and ECDSA
	Author(s)	: Q. Dang, et al.
	Filename	: draft-ietf-pkix-sha2-dsa-ecdsa-01.txt
	Pages		: 16
	Date		: 2007-7-8
	
This document supplements RFC 3279. It 
        specifies algorithm identifiers and ASN.1 
        encoding rules for the Digital Signature 
        Algorithm (DSA) and Elliptic Curve Digital 
        Signature Algorithm (ECDSA) digital signatures 
        when using SHA-224, SHA-256, SHA-384 or SHA-
        512 as hashing algorithm. This specification 
        applies to the Internet X.509 Public Key 
        Infrastructure (PKI) when digital signatures 
        are used to sign certificates and certificate 
        revocation list (CRLs).

        The key words "MUST", "MUST NOT", "REQUIRED", 
        "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", 
        "RECOMMENDED", "MAY", and "OPTIONAL" in this 
        document are to be interpreted as described in 
        [RFC 2119].

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-pkix-sha2-dsa-ecdsa-01.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of 
the message. 
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the 
username "anonymous" and a password of your e-mail address. After 
logging in, type "cd internet-drafts" and then 
"get draft-ietf-pkix-sha2-dsa-ecdsa-01.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-pkix-sha2-dsa-ecdsa-01.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: "Turner, Sean P." <[email-masked]>
Date: Mon, 23 Jul 2007 15:26:41 -0500

In section 3.1, the OID for id-dsa-with-sha256 doesn't match the OIDs in the
ASN.1 module. I think it needs to be 2 vice 1 in the text.

---

From: Stefan Santesson <[email-masked]>
Date: Wed, 25 Jul 2007 21:54:59 +0100

A final revision of the agenda has been uploaded.

https://datatracker.ietf.org/cgi-bin/wg/wg_proceedings.cgi

The conclusion is that we are very short of time compared to the number of requested presentations.

Unfortunately this has forced me to be very restrictive with the amount of time awarded to each presentation.
For the next IETF we are discussing going back to a 2 hour time slot.

To make this meeting as efficient as possible and to provide time for all presenters I would like to ask all presenters to do 2 things:

1) Make sure you e-mail me your slides at latest tomorrow morning so I can have them all ready and uploaded at meeting start.
2) To restrict your presentation to the major points you want to communicate.

For the rest of you, be in time :)

Thank you in advance and looking forward to see you tomorrow.

Stefan Santesson
Senior Program Manager
Windows Security, Standards

---

From: Stefan Santesson <[email-masked]>
Date: Wed, 25 Jul 2007 23:14:24 +0100

Oh, sorry. That was the internal tool link.

This link should work a lot better:
http://www3.ietf.org/proceedings/07jul/agenda/pkix.txt

Thanks for catching this.

Stefan Santesson
Senior Program Manager

> -----Original Message-----
> From: Andy Nourse [mailto:[email-masked]]
> Sent: den 25 juli 2007 17:11
> To: Stefan Santesson
> Subject: Re: PKIX meeting agenda
>
> That document is password-protected.
>
> Andy
>
>
> On 7/25/07 1:54 PM, "Stefan Santesson" <[email-masked]> wrote:
>
> >
> > The conclusion is that we are very short of time compared to the
> number of
> > requested presentations.
> >
> > Unfortunately this has forced me to be very restrictive with the
> amount of
> > time awarded to each presentation.
> > To make this meeting as efficient as possible and to provide time for
> all
> > presenters I would like to ask all presenters to do 2 things:
> >
> > 1) Make sure you e-mail me your slides at latest tomorrow morning so
> I can
> > have them all ready and uploaded at meeting start.